## org.hibernate.dialect.lock
Class LockingStrategyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.dialect.lock.LockingStrategyException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OptimisticEntityLockException, PessimisticEntityLockException

    public abstract class LockingStrategyException

extends HibernateException

Represents an error trying to apply a `LockingStrategy` to an entity

See Also:
  Serialized Form

Constructor Summary
`LockingStrategyException(Object entity, String message)`
`LockingStrategyException(Object entity, String message, Throwable root)`

Method Summary
`Object` `getEntity()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockingStrategyException

    public LockingStrategyException(Object entity,
                                    String message)

### LockingStrategyException

    public LockingStrategyException(Object entity,
                                    String message,
                                    Throwable root)

Method Detail

### getEntity

    public Object getEntity()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.